#!/bin/bash
# This script is a shim to execute $BINARY and force it to only look for shared libraries
# in the same directory that the binary lives.
#
# If you have all the necessary libraries installed at the system level (e.g. via apt-get),
# it is recommended that you DO NOT USE this script, and instead just run $BINARY directly.

BINARY=listsamples_gtk

DIR="`dirname $0`"
if [ "${DIR:0:1}" != "/" ]; then
	DIR="`pwd`/$DIR"
fi
if [ ! -d "$DIR" -o ! -e "$DIR/$BINARY" ]; then
	echo "Error, unable to find $BINARY"
	exit 1
fi

pushd "$DIR" >/dev/null 2>/dev/null
LD_LIBRARY_PATH="." ./$BINARY $@
popd >/dev/null 2>/dev/null
